#!/bin/bash
# choosepanel panel chooser (English version) by Jos Peralta (josejp2424)
# 20130203 (vicmz) Instructions to activate Openbox, English localization
# 20130204 (vicmz, L18L) internationalized
# 20130205 (josejp2424) CLOSE button closes choosepanel and opens wmswitcher

export TEXTDOMAIN=choosepanel.sh
export OUTPUT_CHARSET=UTF-8

MAIN_DIALOG='
<window title=" '$(gettext 'Choose Panel')' ">
<notebook page="0" labels=" TINT2 | LXPANEL ">
<vbox>
<pixmap>
<input file>/usr/local/choosepanel/tint290.png</input>
</pixmap>
<text>
<label>'$(gettext 'There are two Openbox panel options, Tint2 and Lxpanel. Please select a panel using the tabs above. Click the Preview Panel button for a quick preview of the panel.')'</label>
</text>
<text>
<label> .</label>
</text>
<button>
<input file>/usr/local/choosepanel/tint290.xpm</input>
<label>'$(gettext 'Install Tint2 panel')'</label>
<action>"exec petget /usr/local/choosepanel/tint2panel-002.pet &"</action>
</button>

<text>
<label> .</label>
</text>

<button>
<input file>/usr/local/choosepanel/tint290.xpm</input>
<label>'$(gettext 'Preview Tint2 panel')'</label>
<action>defaultimageviewer /usr/local/choosepanel/tint2.jpg</action>
</button>

<text>
<label> .</label>
</text>
<text>
<label>'$(gettext 'After installing a panel, click the CLOSE button below. The window manager switcher will open, select Openbox and click Restart X, BUT FIRST please wait for the Package Manager to complete the Openbox install! If you wish, you can change panel later through the Menu > Setup > Change Openbox Panel.')'</label>
</text>
<text>
<label> .</label>
</text>
<hbox>
<button>
<label>'$(gettext 'CLOSE')'</label>
<input file>/usr/local/lib/X11/mini-icons/mini-tick.xpm</input>
<action>wmswitcher -desktops &</action>
<action type="exit">CLOSE</action>
</button>
</hbox>
<text>
<label> .</label>
</text>
</vbox>
<vbox>

<pixmap>
<input file>/usr/local/choosepanel/lxde90.png</input>
</pixmap>
<text><label>'$(gettext 'There are two Openbox panel options, Tint2 and Lxpanel. Please select a panel using the tabs above. Click the Preview Panel button for a quick preview of the panel.')'</label></text>
<text>
<label> .</label>
</text>

<button>
<input file>/usr/local/choosepanel/lxde90.xpm</input>
<label>'$(gettext 'Install Lxpanel')'</label>
<action>"exec petget /usr/local/choosepanel/lxpanel-002.pet &"</action>
</button>
<text>
<label> .</label>
</text>

<button>
<label>'$(gettext 'Preview Lxpanel')'</label>
<input file>/usr/local/choosepanel/lxde90.xpm</input>
<action>defaultimageviewer /usr/local/choosepanel/lxpanel.jpg</action>
</button>
<text>
<label> .</label>
</text>
<text>
<label>'$(gettext 'After installing a panel, click the CLOSE button below. The window manager switcher will open, select Openbox and click Restart X, BUT FIRST please wait for the Package Manager to complete the Openbox install! If you wish, you can change panel later through the Menu > Setup > Change Openbox Panel.')'</label>
</text>
<text>
<label> .</label>
</text>
<hbox>
<button>
<label>'$(gettext 'CLOSE')'</label>
<input file>/usr/local/lib/X11/mini-icons/mini-tick.xpm</input>
<action>wmswitcher -desktops &</action>
<action type="exit">CLOSE</action>
</button>
</hbox>
<text>
<label> .</label>
</text>
</vbox>
</notebook>
</window>
' gtkdialog3 --program=MAIN_DIALOG	
